http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/Updates the settings for a slot.
The unique identifier for the slot to update.
The unique identifier of the bot that contains the slot.
The version of the bot that contains the slot. Must always be <code>DRAFT</code>.
The identifier of the language and locale that contains the slot. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The identifier of the intent that contains the slot.
The new name for the slot.
The unique identifier of the new slot type to associate with this slot.
The new description for the slot.
Specifications for the constituent sub slots and the expression for the composite slot.
Determines whether Amazon Lex obscures slot values in conversation logs.
Indicates whether a slot can return multiple values.
Specifies the elicitation setting details for constituent sub slots of a composite slot.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/Updates the settings for a slot.
The unique identifier for the slot to update.
The unique identifier of the bot that contains the slot.
The version of the bot that contains the slot. Must always be <code>DRAFT</code>.
The identifier of the language and locale that contains the slot. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The identifier of the intent that contains the slot.
The new name for the slot.
The unique identifier of the new slot type to associate with this slot.
The new description for the slot.
Specifications for the constituent sub slots and the expression for the composite slot.
Determines whether Amazon Lex obscures slot values in conversation logs.
Indicates whether a slot can return multiple values.
Specifies the elicitation setting details for constituent sub slots of a composite slot.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}